# $Revision: 1.105 $, $Date: 2010/06/03 11:17:55 $
#
# Conditional build:
%bcond_with	mmx	# use MMX-only code to decode stream instead of runtime detection
%bcond_with	esd	# disable esound supprot
%bcond_without	alsa	# disable alsa support
%bcond_with	arts	# enable aRts support
%bcond_without	jack	# disable jack support
%bcond_without	nas	# diasble nas support
%bcond_without	openal	# disable openal support
%bcond_without	sdl	# disable sdl support
%bcond_without	port	# disable portaudio support
%bcond_without	pulse	# disable pulseaudio support
#
%ifarch pentium3 pentium4 athlon
%define		with_mmx	1
%endif
Summary:	MPEG audio player
Summary(es.UTF-8):	Ejecuta archivos MP3
Summary(pl.UTF-8):	Odtwarzacz plików audio MPEG
Summary(pt_BR.UTF-8):	Tocador de arquivos MP3
Summary(ru.UTF-8):	Проигрыватель MPEG аудиофайлов
Summary(uk.UTF-8):	Програвач MPEG аудіофайлів
Name:		mpg123
Version:	1.9.1
Release:	3
# some old parts are GPLed, but they are not included in package
License:	LGPL v2.1
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/mpg123/%{name}-%{version}.tar.bz2
# Source0-md5:	39aa4407b53fa8c86f7d963bfe0702c9
Patch0:		%{name}-am.patch
Patch1:		%{name}-no-la.patch
URL:		http://www.mpg123.de/
%{?with_openal:BuildRequires:	OpenAL-devel}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.11}
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7
%{?with_esd:BuildRequires:	esound-devel}
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 2:1.5
%{?with_nas:BuildRequires:	nas-devel}
%{?with_port:BuildRequires:	portaudio-devel >= 18}
%{?with_pulse:BuildRequires:	pulseaudio-devel}
BuildRequires:	pkgconfig
Requires:	libmpg123 = %{version}-%{release}
Suggests:	%{name}-alsa = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mpg123 is a fast, free (for non-commercial use) and portable MPEG
audio player for Unix. It supports MPEG 1.0/2.0 layers 1, 2 and 3
(those famous "MP3" files). For full CD quality playback (44 kHz, 16
bit, stereo) a Pentium, SPARCstation10, DEC Alpha or similar CPU is
required. Mono and/or reduced quality playback (22 kHz or 11 kHz) is
even possible on i486 CPUs.

%description -l es.UTF-8
Ejecuta archivos MP3.

%description -l pl.UTF-8
Mpg123 jest szybkim, darmowym (do celów niekomercyjnych) oraz
uniwersalnym dekoderem plików dźwiękowych MPEG dla systemów
uniksowych. Obsługuje standard MPEG 1.0/2.0 warstwy 1, 2 oraz 3
(słynne "MP3"). Do uzyskania pełnej jakości CD wymagany jest silny
procesor (Pentium, SPARCstation10, DEC Alpha lub podobny). Niższą
jakość (22 lub 11 kHz) można uzyskać już na procesorach i486.

%description -l pt_BR.UTF-8
O mpg123 é um tocador de áudio MPEG para o Unix. Ele suporta MPEG
1.0/2.0 camadas 1, 2 e 3 (Arquivos "MP3").

%description -l ru.UTF-8
Mpg123 - это быстрый, свободный и переносимый проигрыватель MPEG
аудиофайлов. он поддерживает MPEG 1.0/2.0 уровней 1, 2 и 3 ("MP3"
файлы). Для получения качества звучания компакт-диска (44 kHz, 16 бит,
стерео) ноеобходим процессор Pentium. Монозвук или звук худшего
качества (22 kHz или 11 kHz) возможен и на процессорах класса i486.

%description -l uk.UTF-8
Mpg123 - це швидкий, вільний та переносимий програвач MPEG
аудіофайлів. Він підтримує MPEG 1.0/2.0 рівнів 1, 2 та 3 ("MP3"
файли). Для отримання якості звучання компакт-диску (44 kHz, 16 біт,
стерео) необхідний процесор Pentium. Монозвук чи звук гіршої якості
(22 kHz чи 11 kHz) можливий і на процесорах класу i486.

%package alsa
Summary:	ALSA audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku ALSA dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description alsa
ALSA audio output plugin for mpg123.

%description alsa -l pl.UTF-8
Wtyczka wyjścia dźwięku ALSA dla mpg123.

%package arts
Summary:	aRts audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku aRts dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description arts
aRts audio output plugin for mpg123.

%description arts -l pl.UTF-8
Wtyczka wyjścia dźwięku aRts dla mpg123.

%package esd
Summary:	EsounD audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku EsounD dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description esd
EsounD audio output plugin for mpg123.

%description esd -l pl.UTF-8
Wtyczka wyjścia dźwięku EsounD dla mpg123.

%package jack
Summary:	JACK audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku JACK dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description jack
JACK audio output plugin for mpg123.

%description jack -l pl.UTF-8
Wtyczka wyjścia dźwięku JACK dla mpg123.

%package nas
Summary:	NAS audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku NAS dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description nas
NAS audio output plugin for mpg123.

%description nas -l pl.UTF-8
Wtyczka wyjścia dźwięku NAS dla mpg123.

%package openal
Summary:	OpenAL audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku OpenAL dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description openal
OpenAL audio output plugin for mpg123.

%description openal -l pl.UTF-8
Wtyczka wyjścia dźwięku OpenAL dla mpg123.

%package portaudio
Summary:	PortAudio audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku PortAudio dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description portaudio
PortAudio audio output plugin for mpg123.

%description portaudio -l pl.UTF-8
Wtyczka wyjścia dźwięku PortAudio dla mpg123.

%package pulseaudio
Summary:	PulseAudio audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku PulseAudio dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description pulseaudio
PulseAudio audio output plugin for mpg123.

%description pulseaudio -l pl.UTF-8
Wtyczka wyjścia dźwięku PulseAudio dla mpg123.

%package sdl
Summary:	SDL audio output plugin for mpg123
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku SDL dla mpg123
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description sdl
SDL audio output plugin for mpg123.

%description sdl -l pl.UTF-8
Wtyczka wyjścia dźwięku SDL dla mpg123.

%package -n libmpg123
Summary:	An optimized MPEG Audio decoder library
Summary(pl.UTF-8):	Zoptymalizowana biblioteka dekodera dźwięku MPEG
Group:		Libraries

%description -n libmpg123
An optimized MPEG Audio decoder library.

%description -n libmpg123 -l pl.UTF-8
Zoptymalizowana biblioteka dekodera dźwięku MPEG.

%package -n libmpg123-devel
Summary:	Header file for mpg123 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki mpg123
Group:		Development/Libraries
Requires:	libmpg123 = %{version}-%{release}

%description -n libmpg123-devel
Header file for mpg123 library.

%description -n libmpg123-devel -l pl.UTF-8
Plik nagłówkowy biblioteki mpg123.

%package -n libmpg123-static
Summary:	Static mpg123 library
Summary(pl.UTF-8):	Statyczna biblioteka mpg123
Group:		Development/Libraries
Requires:	libmpg123-static = %{version}-%{release}

%description -n libmpg123-static
Static mpg123 library.

%description -n libmpg123-static -l pl.UTF-8
Statyczna biblioteka mpg123.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -rf libltdl

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# select "0" optimization, which doesn't add any -O to CFLAGS
%configure \
	--enable-ltdl-install=no \
	--enable-modules \
	--enable-static \
	%{?with_mmx:--with-cpu=mmx} \
	--with-default-audio=%{?with_alsa:alsa,}oss \
	--with-optimization=0
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/mpg123/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libmpg123 -p /sbin/ldconfig
%postun	-n libmpg123 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/{ACCURACY,BENCHMARKING,BUGS,CONTACT,LICENSE,PATENTS,README.gain,README.remote,ROAD_TO_LGPL,THANKS}
%ifarch athlon
%doc doc/README.3DNOW
%endif
%attr(755,root,root) %{_bindir}/mpg123
%dir %{_libdir}/mpg123
%attr(755,root,root) %{_libdir}/mpg123/output_dummy.so
%attr(755,root,root) %{_libdir}/mpg123/output_oss.so
%{_mandir}/man1/mpg123.1*

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_alsa.so
%endif

%if %{with arts}
%files arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_arts.so
%endif

%if %{with esd}
%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_esd.so
%endif

%if %{with jack}
%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_jack.so
%endif

%if %{with nas}
%files nas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_nas.so
%endif

%if %{with openal}
%files openal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_openal.so
%endif

%if %{with port}
%files portaudio
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_portaudio.so
%endif

%if %{with pulse}
%files pulseaudio
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_pulse.so
%endif

%if %{with sdl}
%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mpg123/output_sdl.so
%endif

%files -n libmpg123
%defattr(644,root,root,755)
%doc NEWS.libmpg123
%attr(755,root,root) %{_libdir}/libmpg123.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpg123.so.0

%files -n libmpg123-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpg123.so
%{_libdir}/libmpg123.la
%{_includedir}/mpg123.h
%{_pkgconfigdir}/libmpg123.pc

%files -n libmpg123-static
%defattr(644,root,root,755)
%{_libdir}/libmpg123.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpg123.spec,v $
Revision 1.105  2010/06/03 11:17:55  baggins
- rel 3
- esound is dead

Revision 1.104  2010/03/26 12:26:04  pluto
- invert arts bcond, release 2.

Revision 1.103  2009/11/08 16:07:48  adamg
- updated to 1.9.1
- ltdl patch no longer needed
- openal package (new audio output plugin)

Revision 1.102  2009/01/10 23:13:32  aredridel
- 1.6.4

Revision 1.101  2008/09/14 12:16:58  wolvverine
- rel.3:libltdl-2.2.6-3, STBR

Revision 1.100  2008/09/07 19:08:50  adamg
- release 2 (against libltdl-2.2.6-1)

Revision 1.99  2008/08/31 11:25:14  adamg
- updated to 1.5.1

Revision 1.98  2008/08/23 22:20:03  qboosh
- updated to 1.5.0
- updated ac patch

Revision 1.97  2008/05/29 19:38:48  hawk
- kill building local libltdl

Revision 1.96  2008-05-29 19:27:06  hawk
- updated to 1.4.3

Revision 1.95  2008-05-29 16:37:58  hawk
- fixed building with autoconf 2.62

Revision 1.94  2008-05-26 20:38:56  hawk
- release 2

Revision 1.93  2008-04-12 10:09:41  arekm
- up to 1.4.1

Revision 1.92  2008-03-30 19:43:31  agaran
- {port,pulse}audio may be not wanted too

Revision 1.91  2008-03-09 16:20:06  arekm
- up to 1.3.1

Revision 1.90  2008-03-09 16:18:18  arekm
- up to 1.3.0

Revision 1.89  2008-02-11 17:04:25  qboosh
- updated to 1.2.0
- removed obsolete i486 patch
- release 1

Revision 1.88  2008-01-24 22:18:17  qboosh
- but omit alsa from defaults when building without it

Revision 1.87  2008-01-24 22:17:32  qboosh
- added multi-ao patch, default to alsa with fallback to oss
  (so mpg123 works with default options when -alsa module is not installed)
- release 0.3

Revision 1.86  2008-01-24 21:31:56  arekm
- add missing i486 bits from project svn

Revision 1.85  2008-01-23 23:45:51  qboosh
- fixing yet another package broken by blind upgrade
- added am,no-la patches (not finished yet)
- separated libmpg123* packages
- frontend packages turned into plugins packages
- added arts,portaudio,pulseaudio plugins
- release 0.1 (will finish in the evening)

Revision 1.84  2008-01-16 12:32:58  paszczus
- updated to 1.1.0

Revision 1.83  2007-11-05 19:30:53  twittner
- up to 0.68

Revision 1.82  2007/08/31 04:52:55  qboosh
- updated to 0.67

Revision 1.81  2007/06/16 10:47:40  qboosh
- updated to 0.66 (x86 build defaults to runtime cpu detection now)
- removed obsolete patches, require SDL 1.2.11 (with pkgconfig support)

Revision 1.80  2007/04/26 23:38:27  shadzik
- kill double-checking audio output support

Revision 1.79  2007/04/26 22:19:05  qboosh
- CVE reference for 0.61
- package NEWS file (as doc)

Revision 1.78  2007/04/01 23:39:59  shadzik
- 0.65

Revision 1.77  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.75  2007/01/15 09:25:45  shadzik
- 0.63
- no need for patch3

Revision 1.74  2007/01/02 00:15:42  shadzik
- up to 0.62

Revision 1.73  2006/11/26 01:14:36  shadzik
- try to fix --as-needed linking

Revision 1.72  2006/11/26 00:46:40  shadzik
- better

Revision 1.71  2006/11/26 00:26:07  shadzik
- rel 1

Revision 1.70  2006/11/26 00:24:22  shadzik
- fix sdl build, works

Revision 1.69  2006/11/06 19:10:07  qboosh
- formatting, pl cosmetics
- mmx is always available on pentium3/pentium4/athlon

Revision 1.68  2006/10/28 15:01:40  shadzik
- BR: pkgconfig
- sorted BRs and adapterized

Revision 1.67  2006/10/25 12:05:02  shadzik
- one step closer to get SDL work, but it still doesn't, ENOIDEA why :/

Revision 1.66  2006/10/23 13:15:13  shadzik
- license

Revision 1.65  2006/10/23 13:01:08  shadzik
- added NAS support
- rel 0.3

Revision 1.64  2006/10/23 02:50:05  shadzik
- fix OSS support
- rel 0.2

Revision 1.63  2006/10/23 00:31:04  shadzik
- sorted BRs and switched Group with License

Revision 1.62  2006/10/23 00:28:41  shadzik
- add "%{__make} clean" before starting to configure new sound system support

Revision 1.61  2006/10/23 00:22:03  shadzik
- up to 0.61 stable [fixes CVE-2006-1655]
- new Source0
- now we use autotools to configure the programm
- added alsa,jack and sdl sound support (sdl detection doesn't seem to work properly at the moment so it's off by default)
- removed all patches (they all seem to be obsolete)
- rel 0.1

Revision 1.60  2006/06/21 22:10:55  pluto
- minor build fix.

Revision 1.59  2006/06/21 21:23:39  pluto
- fix amd64 build.

Revision 1.58  2004/12/21 16:21:04  adamg
- added CAN-2004-1284.patch (though exploit didn't work for me)
- release .9

Revision 1.57  2004/10/29 18:45:56  ankry
- 70th column formatting fix

Revision 1.56  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.55  2004/10/26 06:42:40  ankry
- formatting

Revision 1.54  2004/10/25 23:24:28  jm
- (SECURITY) Fix of buffer overflow (which might allow remote arbitrary code execution, this case was sent to BTS)
- rel. 8
- looks like it builds and works
- please check and STBR for Ac

Revision 1.53  2004/10/24 12:14:13  paladine
- spelling fixes

Revision 1.52  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.51  2004/09/14 14:29:21  saq
- fixed SECURITY (patch by Daniel Kobras)
- release 7, STBR for Ac

Revision 1.50  2004/09/14 09:45:24  blues
- SECURITY note, patch in debian

Revision 1.49  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.48  2004/08/11 20:56:45  qboosh
- updated makefile patch to add amd64 support, release .6

Revision 1.47  2004/08/09 22:55:50  havner
- rel 5

Revision 1.46  2004/02/20 13:07:10  qboosh
- added http-overflow patch (fixes CAN-2003-0865, BTS#823)
- new-style bcond, release .4 for Ac

Revision 1.45  2003/11/29 13:04:35  undefine
- release 2 to rebuild with ac

Revision 1.44  2003/10/24 09:57:00  gotar
- moved -fomit-frame-pointer to specflags

Revision 1.43  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.42  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.41  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/02/16 22:55:06  qboosh
- don't build empty esd package if building w/o esd
- always apply esd patch (it fixes --esd *and* -E options on 3Dnow! CPUs)

Revision 1.39  2003/02/13 16:21:02  djurban
- added without esound bcond

Revision 1.38  2003/02/05 20:34:44  qboosh
- esd patch is back, but now it fixes --esd option problem on 3Dnow! CPUs
  (use of const offset in struct with different alignment) and avoids
  getting esd parameters and sending data to different servers

Revision 1.37  2003/02/05 19:54:46  kloczek
- merge translations from KSI.

Revision 1.36  2003/02/04 22:53:07  qboosh
- started update to pre0.59s
- updated makefile patch, removed obsolete ipv6 patch
- added security patch (fix for arbitrary code execution through mp3 file)
  (bug in pre0.59s only, 0.59r didn't have this one)
- added id3v2-hack patch (fix for stopping on ID3v2 tag in 1st file)
- added 3dnow (for athlon) and mmx (for i[56]86 - bcond) support

Revision 1.35  2003/01/30 18:15:16  matkor
- Typo (pointed by Andrzej Szombierski).

Revision 1.34  2002/05/25 12:59:30  kloczek
- release 7: use new %doc.

Revision 1.33  2002/04/05 15:26:38  roman
s/Freely/freely in License

Revision 1.32  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/26 04:16:38  kloczek
- release 6.

Revision 1.29  2002/01/25 18:52:56  filon
- use ix86 macros

Revision 1.28  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/12/07 11:56:42  kloczek
- add to makefile patch handle linux-sparc-esd target,
- add compiling correctly esd version mpg123 on sparc.

Revision 1.26  2001/12/07 10:40:14  kloczek
- merge translations and audio_sun patch from Conectiva.

Revision 1.25  2001/11/22 15:12:25  qboosh
- s/Copyright/License/

Revision 1.24  2001/11/21 12:17:05  saq
- License += ", GPL (mpglib)"
- release 5, rebuild

Revision 1.23  2001/06/21 10:31:54  blues
- more usefull docs

Revision 1.22  2001/05/31 07:29:50  misiek
- added subpackage with esd support
- release 4

Revision 1.21  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.16  2000/01/11 01:12:14  wiget
- new IPv6 patch from KAME

Revision 1.15  1999/12/30 03:03:21  wiget
- add URL for ipv6 patch

Revision 1.14  1999/10/19 17:27:50  wiget
- new patch from KAME
- s/RPM_OPT_FLAGS/OPT_FLAGS/

Revision 1.13  1999/10/13 09:41:55  kravietz
- updated to version 0.59r

Revision 1.12  1999/07/28 13:15:54  baggins
- stripping binaries

Revision 1.11  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.59q-1]
- package is FHS 2.0 compliant,
- based on spec file written by Karsten Weiss <karsten@addx.au.s.shuttle.de>,
  modified for PLD use by me and Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>,
- pl translation by Marek Obuchowicz <elephant@shadow.eu.org>.
